<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: SimulatedImu.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_simulated_imu_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SimulatedImu.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_simulated_imu_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef SIMULATEDIMU_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define SIMULATEDIMU_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_imu_8h.html">Imu.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_thread_8h.html">Thread.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">class </span>SharedMem;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">class </span>AhrsData;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  }</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">class </span>SpinBox;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_simulated_imu.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_simulated_imu.html">SimulatedImu</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1sensor_1_1_imu.html">Imu</a>, <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_thread.html">core::Thread</a> {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_simulated_imu.html#ac02136d55505be5e458948169c88ebcd">SimulatedImu</a>(std::string name,</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;          uint32_t modelId,uint32_t deviceId, uint8_t priority);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_simulated_imu.html#a4145d0246cc6646e0c926ff86393d274">~SimulatedImu</a>();</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">float</span> q0;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">float</span> q1;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">float</span> q2;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">float</span> q3;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">float</span> wx;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">float</span> wy;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">float</span> wz;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">float</span> ax;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">float</span> ay;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">float</span> az;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">float</span> mx;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">float</span> my;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">float</span> mz;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  } imu_states_t;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  std::string ShMemName(uint32_t modelId,uint32_t deviceId);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_spin_box.html">gui::SpinBox</a> *dataRate;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <a class="code" href="classflair_1_1core_1_1_shared_mem.html">core::SharedMem</a> *shmem;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *ahrsData;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;};</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif // SIMULATEDIMU_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_simulated_imu_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_simulated_imu.html">flair::sensor::SimulatedImu</a></div><div class="ttdoc">Class for a simulation Imu. </div><div class="ttdef"><b>Definition:</b> SimulatedImu.h:35</div></div>
<div class="ttc" id="_imu_8h_html"><div class="ttname"><a href="_imu_8h.html">Imu.h</a></div><div class="ttdoc">Base class for Imu. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_simulated_imu_html_a4145d0246cc6646e0c926ff86393d274"><div class="ttname"><a href="classflair_1_1sensor_1_1_simulated_imu.html#a4145d0246cc6646e0c926ff86393d274">flair::sensor::SimulatedImu::~SimulatedImu</a></div><div class="ttdeci">~SimulatedImu()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_spin_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_spin_box.html">flair::gui::SpinBox</a></div><div class="ttdoc">Class displaying a QSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> SpinBox.h:28</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html">flair::core::AhrsData</a></div><div class="ttdoc">Class defining AHRS datas. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:30</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_simulated_imu_html_ac02136d55505be5e458948169c88ebcd"><div class="ttname"><a href="classflair_1_1sensor_1_1_simulated_imu.html#ac02136d55505be5e458948169c88ebcd">flair::sensor::SimulatedImu::SimulatedImu</a></div><div class="ttdeci">SimulatedImu(std::string name, uint32_t modelId, uint32_t deviceId, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_imu.html">flair::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:44</div></div>
<div class="ttc" id="_thread_8h_html"><div class="ttname"><a href="_thread_8h.html">Thread.h</a></div><div class="ttdoc">Abstract class for a thread. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_shared_mem_html"><div class="ttname"><a href="classflair_1_1core_1_1_shared_mem.html">flair::core::SharedMem</a></div><div class="ttdoc">Class defining a shared memory. </div><div class="ttdef"><b>Definition:</b> SharedMem.h:32</div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:38</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_simulated_imu_8h.html">SimulatedImu.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
